;---------------------------------------------------------------------------
; Standing Light Attack
[Statedef 200]
type = S
movetype = A
physics = S
anim = 200
velset = 0,0
ctrl = 0
hitcountpersist = 1
poweradd = 45
juggle = 1

[State 200, 0]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

[State 200, 1]
type = HitDef
trigger1 = AnimElem = 2
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = Light
priority = 4, Hit
damage = 36
pausetime = 8,8
sparkno = S800
guard.sparkno = S806
sparkxy = 0,-70
hitsound = S1,1
guardsound = 6,0
ground.type = High
ground.slidetime = 15
ground.hittime = 15
ground.velocity = -5
air.velocity = -3,-3
getpower = 78
givepower = 34

[State 200, StateTypeSet]
type = StateTypeSet
trigger1 = Animelem >= 4
statetype = S
movetype = I
physics = S


[State 200, 2]
type = PlaySnd
trigger1 = AnimElem = 2
value = 1,0
channel = 0

;---------------------------------------------------------------------------
; Standing Medium Attack
[Statedef 210]
type = S
movetype = A
physics = S
anim = 210
velset = 0,0
ctrl = 0
poweradd = 60
hitcountpersist = 1
juggle = 1

[State 210, 0]
type = ChangeAnim
trigger1 = prevstateno = 200
value = 210
elem = 4
persistent = 0

[State 210, 0]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

[State 210, 2]
type = HitDef
trigger1 = AnimElem = 5
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = Heavy
priority = 5, Hit
damage = 56
pausetime = 12,12
sparkno = S808
guard.sparkno = S806
sparkxy = -30,-60
hitsound = S01,3
guardsound = 6,0
ground.type = Low
ground.slidetime = 20
ground.hittime = 15
ground.velocity = -7
air.velocity = -4,-3
getpower = 85
givepower = 40

[State 200, StateTypeSet]
type = StateTypeSet
trigger1 = Animelem >= 7
statetype = S
movetype = I
physics = S

[State 210, 3]
type = velset
trigger1 = AnimElem = 5
x = 7

[State 210, 3]
type = velmul
trigger1 = AnimElem >= 5
trigger1 = vel x <=2
trigger1 = vel x >0
vel = 0.45

[State 210, 3]
type = PlaySnd
trigger1 = AnimElem = 2
value = 1,2
channel = 0

;---------------------------------------------------------------------------
; Standing Heavy Attack
[Statedef 220]
type = S
movetype = A
physics = S
anim = 220
velset = 0,0
ctrl = 0
poweradd = 65
hitcountpersist = 1
juggle = 1

[State 220, 0]
type = playsnd
trigger1 = Animelem = 1
trigger1 = random >= 400
value = 0,ifelse(random >=500, 0, 1)

[State 220, 0]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

[State 220, 0]
type = ChangeAnim
trigger1 = prevstateno = 210 || prevstateno = 310
value = 220
elem = 3
persistent = 0

[State 220, 2]
type = HitDef
trigger1 = AnimElem = 5
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = Heavy
priority = 5, Hit
damage = 76
pausetime = 12,12
sparkno = S809
guard.sparkno = S806
sparkxy = -60,-50
hitsound = S1,5
guardsound = 6,0
ground.type = Low
ground.slidetime = 50
ground.hittime = 20
ground.velocity = -8
air.velocity = -2,-3
getpower = 80
givepower = 40

[State 200, StateTypeSet]
type = StateTypeSet
trigger1 = Animelem >= 8
statetype = S
movetype = I
physics = S

[State 210, 3]
type = velset
trigger1 = AnimElem = 5
x = 7

[State 210, 3]
type = velmul
trigger1 = AnimElem >= 5
trigger1 = vel x <=2
trigger1 = vel x >0
vel = 0.45

[State 210, 3]
type = PlaySnd
trigger1 = AnimElem = 2
value = 1,4
channel = 0

;------------------------------------------------------------
; Crouching Light Attack
[Statedef 300]
type = C
movetype = A
physics = C
anim = 300
velset = 0,0
ctrl = 0
hitcountpersist = 1
poweradd = 45
juggle = 1

[State 200, 0]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

[State 200, 1]
type = HitDef
trigger1 = AnimElem = 3
attr = S, NA
hitflag = MAF
guardflag = LA
animtype = Light
priority = 4, Hit
damage = 36
pausetime = 8,8
sparkno = S800
guard.sparkno = S806
sparkxy = 0,-10
hitsound = S1,1
guardsound = 6,0
ground.type = Low
ground.slidetime = 15
ground.hittime = 15
ground.velocity = -5
air.velocity = -3,-3
getpower = 55
givepower = 7

[State 200, StateTypeSet]
type = StateTypeSet
trigger1 = Animelem >= 5
statetype = C
movetype = I
physics = C

[State 200, 2]
type = PlaySnd
trigger1 = AnimElem = 2
value = 1,6
channel = 0
;----------------------------------------------------------------------------
; Crouching Medium Attack
[Statedef 310]
type = C
movetype = A
physics = C
anim = 310
velset = 0,0
ctrl = 0
hitcountpersist = 1
poweradd = 45
juggle = 1

[State 210, 0]
type = ChangeAnim
trigger1 = prevstateno = 200
value = 310
elem = 2
persistent = 0

[State 200, 0]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

[State 200, 1]
type = HitDef
trigger1 = AnimElem = 3
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = Light
priority = 4, Hit
damage = 56
pausetime = 8,8
sparkno = S808
guard.sparkno = S806
sparkxy = 0,-45
hitsound = S1,3
guardsound = 6,0
ground.type = High
ground.slidetime = 15
ground.hittime = 15
ground.velocity = -5
air.velocity = -3,-3
getpower = 55
givepower = 7

[State 200, StateTypeSet]
type = StateTypeSet
trigger1 = Animelem >= 4
statetype = C
movetype = I
physics = C

[State 200, 2]
type = PlaySnd
trigger1 = AnimElem = 2
value = 1,7
channel = 0
;----------------------------------------------------------------------------
; Crouching Hard Attack
[Statedef 320]
type = C
movetype = A
physics = C
anim = 320
velset = 0,0
ctrl = 0
hitcountpersist = 1
poweradd = 45
juggle = 1

[State 200, 0]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

[State 200, 1]
type = HitDef
trigger1 = AnimElem = 5
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = Light
priority = 4, Hit
damage = 76
pausetime = 8,8
sparkno = S809
guard.sparkno = S806
sparkxy = -20,-40
hitsound = S1,5
guardsound = 6,0
ground.type = High
ground.slidetime = 15
ground.hittime = 15
ground.velocity = -1, -9
air.velocity = -1, -9
ground.cornerpush.veloff = -12.5
fall = 1
bounce = 1
getpower = 55
givepower = 7

[State 200, StateTypeSet]
type = StateTypeSet
trigger1 = Animelem >= 6
statetype = C
movetype = I
physics = C

[State 200, 2]
type = PlaySnd
trigger1 = AnimElem = 2
value = 1,8
channel = 0

[State 200, coding this again]
type = Changestate
trigger1 = !var(55)
trigger1 = movehit && command = "holdup"
value = 40
ctrl = 1

;-------------------------------------------------------------
; Jumping Light Attack
[Statedef 400]
type = A
movetype = A
physics = A
anim = 400
ctrl = 0
hitcountpersist = 1
poweradd = 45
juggle = 1

[State 400,0]
type = ChangeAnim
trigger1 = Animtime = 0
value =  44
elem = 6

[State 400, 1]
type = HitDef
trigger1 = AnimElem = 3
attr = A, NA
damage = 36
guardflag = HA
priority = 3
pausetime = 8,8
sparkno = S800
guard.sparkno = S806
sparkxy = -5,-35
hitsound   = S1,1
guardsound = 6,0
ground.type = High
ground.slidetime = 6
ground.hittime  = 6
ground.velocity = -4
air.velocity = -2,-3

[State 200, StateTypeSet]
type = StateTypeSet
trigger1 = Animelem >= 4
statetype = A
movetype = I
physics = A

[State 400, 2]
type = PlaySnd
trigger1 = AnimElem = 2
value = 1,0
channel = 0

;-------------------------------------------------------------------------------
; Jumping Medium Attack
[Statedef 410]
type = A
movetype = A
physics = A
anim = 410
ctrl = 0
hitcountpersist = 1
poweradd = 45
juggle = 1

[State 400,0]
type = ChangeAnim
trigger1 = Animtime = 0
value =  44
elem = 6

[State 410, 0]
type = ChangeAnim
trigger1 = prevstateno = 400
value = 410
elem = 3
persistent = 0

[State 400, 1]
type = HitDef
trigger1 = AnimElem = 4
attr = A, NA
damage = 56
guardflag = HA
priority = 3
pausetime = 8,8
sparkno = S808
guard.sparkno = S806
sparkxy = -5,-35
hitsound   = S1,3
guardsound = 6,0
ground.type = High
ground.slidetime = 6
ground.hittime  = 6
ground.velocity = -4
air.velocity = -2,-3

[State 200, StateTypeSet]
type = StateTypeSet
trigger1 = Animelem >= 6
statetype = A
movetype = I
physics = A

[State 400, 2]
type = PlaySnd
trigger1 = AnimElem = 2
value = 1,0
channel = 0
;-----------------------------------------------------------------------------
; Jumping Heavy Attack
[Statedef 420]
type = A
movetype = A
physics = A
anim = 420
ctrl = 0
hitcountpersist = 1
poweradd = 45
juggle = 1

[State 400,0]
type = ChangeAnim
trigger1 = Animtime = 0
value =  44
elem = 6

[State 410, 0]
type = ChangeAnim
trigger1 = prevstateno = 400
trigger2 = prevstateno = 410
value = 420
elem = 3
persistent = 0

[State 400, 1]
type = HitDef
trigger1 = AnimElem = 6
attr = A, NA
damage = 76
guardflag = HA
priority = 3
pausetime = 8,8
sparkno = S809
guard.sparkno = S806
sparkxy = -5,-35
hitsound   = S1,5
guardsound = 6,0
ground.type = High
ground.slidetime = 50
ground.hittime  = 20
ground.velocity = -5
air.velocity = -2,8

[State 200, StateTypeSet]
type = StateTypeSet
trigger1 = Animelem >= 7
statetype = A
movetype = I
physics = A

[State 400, 2]
type = PlaySnd
trigger1 = AnimElem = 2
value = 1,4
channel = 0
;---------------------------------------------------------------------------
;Throw
[Statedef 829]
type    = S
movetype= A
physics = S
juggle  = 0
velset = 0,0
ctrl = 0
anim = 829
sprpriority = 2

[State 800, 1]
type = HitDef
Trigger1 = Time = 0
attr = S, NT
hitflag = M-
priority = 1, Miss
sparkno = S801
sparkxy = 0,-60
p1sprpriority = 1
p1facing = 1
p2facing = 1
p1stateno = 830
p2stateno = 831
guard.dist = 0
fall = 1

[State 800, 2]
type = ChangeState
Trigger1 = AnimTime = 0 && !Movecontact
value = 0
ctrl = 1
;---------------------------------------------------------------------------
;Ball Throw - Throw Opponent
[Statedef 830]
type    = S
movetype= A
physics = S
anim = 830
poweradd = 60
velset = 0,0

[State 830]
type = playsnd
trigger1 = Time = 0
value = 1,33

[State 830]
type = playsnd
trigger1 = Time = 0
value = 1,41

[State 830, Holding back?]
type = VarSet
trigger1 = Time = 0
var(6) = command = "holdback"

[State 830, holdfwd - Turn 6]
type = Turn
trigger1 = var(6)
trigger1 = Time = 0

[State 830, holdfwd - Pos 6]
type = PosAdd
trigger1 = var(6)
trigger1 = Time = 0
x = -37

[State 830, Grab Sound]
type = PlaySnd
trigger1 = AnimElem = 2
value = 2, 1

[State 830, Bind 1]
type = TargetBind
trigger1 = AnimElem = 1
pos = 38, -4
time = 30

[State 830, Width 2-11]
type = Width
trigger1 = AnimElemTime(1) >= 0 && AnimElemTime(1) < 30
edge = 60,0

[State 830]
type = playerpush
trigger1 = 1
value = 0

[State 830, Hurt 11]
type = TargetLifeAdd
trigger1 = AnimElem = 2
value = -77

[State 830, Throw 11]
type = TargetState
trigger1 = AnimElem = 2
value = 831

[State 830]
type = velset
trigger1 = 1
x = 0

[State 830, State End]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Thrown by Ball Throw
[Statedef 831]
type    = A
movetype= H
physics = N
velset = 0,-10
facep2 = 1

[State 831, 1]
type = ChangeAnim2
Trigger1 = Time = 0
value = 832

[State 810, ChangeAnim2]
type = ChangeAnim2
Trigger1 = time = 0
trigger1 = name = "Gill"
trigger1 = facing = -1
value = 833;+(facing=-1)*100000

[State 833, AfterImage]
type = AfterImage
trigger1 = 1
time = 1
length = 20
palcolor = 256
palinvertall = 0
palbright = 30,30,30
palcontrast = 120,120,220
palpostbright = 0,0,0
paladd = 10,10,25
palmul = .65,.65,.75
timegap = 1
framegap = 4
trans = "add" ;"none","add1","sub"
ignorehitpause = 1
persistent = 0

;In case attacker loses binding on player for any reason, this controller
;guarantees that the player will never get stuck in this thrown state.
[State 820, 2]
type = SelfState
trigger1 = !gethitvar(isbound)
value = 5050

;------------------------------------------------------------------------
[Statedef 900]
type = S
movetype = A
physics = S
anim = 963
velset = 0,0
ctrl = 0
hitcountpersist = 1

[State 0, SuperPause]
type = SuperPause
trigger1 = Time = 1
time = 30
anim = S876
sound = S1,46
pos = 30, -66
;move =
darken = 0
p2defmul = 0
poweradd = -1000
unhittable = 1
;endcmdbuftime = (winmugen only)
;pausebg =  (winmugen only)
ignorehitpause = 1

[State 220]
type = assertspecial
trigger1 = 1
flag = unguardable

[State 220, 0]
type = playsnd
trigger1 = Animelem = 2
value = 1,17

[State 220, 0]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

[State 220, 0]
type = ChangeAnim
trigger1 = prevstateno = 210 || prevstateno = 310
value = 220
elem = 3
persistent = 0

[State 220, 2]
type = HitDef
trigger1 = AnimElem = 5
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = Heavy
priority = 5, Hit
damage = 75
pausetime = 12,12
sparkno = S809
guard.sparkno = S806
fall = 1
sparkxy = -60,-50
hitsound = S1,5
guardsound = 6,0
ground.type = Low
ground.slidetime = 60
ground.hittime = 20
ground.velocity = -10
air.velocity = -10
getpower = 0
givepower = 0

[State 210, 3]
type = velset
trigger1 = AnimElem = 5
x = 7

[State 210, 3]
type = velmul
trigger1 = AnimElem >= 5
trigger1 = vel x <=2
trigger1 = vel x >0
vel = 0.45

[State 210, 3]
type = PlaySnd
trigger1 = AnimElem = 2
value = 1,4
channel = 0

[State 0, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA;,NA,SA,HA,NP,SP,HP,NT,ST,HT
time = 60
ignorehitpause = 1
persistent = 0
;-------------------------------
;Power Charge
[Statedef 1500]
type = S
movetype = I
physics = S
anim = 1500
velset = 0,0
ctrl = 0
facep2 = 1

[State 9000, PowerAdd]
type = PowerAdd
trigger1 = Time < 60
trigger1 = ((GameTime%5) = 0) && (command = "holdc")
trigger1 = power != powermax
value = 15

[State 9000, PowerAdd]
type = PowerAdd
trigger1 = Time > 60
trigger1 = ((GameTime%5) = 0) && (command = "holdc")
trigger1 = power != powermax
value = 35

[State 1027, fire]
type = explod
trigger1 = Time%60 = 1
pos = 2,8
anim = 1505
id = 1504
removetime = -2
scale = 1,1
sprpriority = 2
bindtime = -1
removeongethit = 1

[State 1027, fire]
type = explod
trigger1 = power = powermax;5000
pos = 2,8
anim = 1511
id = 1511
removetime = -2
scale = 1.5,1.5
sprpriority = 2
bindtime = -1
removeongethit = 1

[State 1500,var]
type = varset
trigger1 = Time = 1
var(17) = 1

[State 1027, fire]
type = removeexplod
trigger1 = power = powermax;5000
id = 1504
;trans = addalpha
;alpha = 256 - (time * 4), time * 4

[State 9000, PlaySnd]
type = PlaySnd
trigger1 = time = 1 && random > 200
channel = 2
value = 1,15

[State 9000]
type = stopsnd
trigger1 = command != "holdc"
channel = 1

[State 9000, PlaySnd]
type = PlaySnd
trigger1 = time = 1
channel = 0
value = 9001,0

[State 9000, PlaySnd]
type = PlaySnd
trigger1 = time = 82
channel = 0
value = 9001,1
lowpriority = 0
loop = 1

[State 9000, PlaySnd]
type = PlaySnd
trigger1 = power = powermax;5000
channel = 1
value = 9001,2

[State 9000, PlaySnd]
type = playsnd
trigger1 = power = powermax;5000
channel = 2
value = 1,20

[State 9000, End]
type = ChangeState
trigger1 = (command != "holdc") && animtime = 0
trigger2 = power = powermax;5000
value = 1525
;------------------------------
[Statedef 1525]
type = S
movetype = I
physics = S
anim = 1515
velset = 0,0
hitcountpersist = 1
facep2 = 1

[State 1500,var]
type = varset
trigger1 = Time = 1
var(17) = 1

[State 9001, StopSnd]
type = StopSnd
trigger1 = Time = 0
channel = 0

[State 9001, StopSnd]
type = StopSnd
trigger1 = Time = 0
channel = 2

[State 9000, PlaySnd]
type = playsnd
trigger1 = power = 5000 && Time = 1
channel = 0
value = 1,20

[State 9001, End]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

